(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     63904,       1396]
NotebookOptionsPosition[     61741,       1351]
NotebookOutlinePosition[     62176,       1368]
CellTagsIndexPosition[     62133,       1365]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 3.8153075642667866`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "h"}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8153076038437824`*^9, 3.8153077736338882`*^9}, {
  3.815307923435903*^9, 3.8153081975371532`*^9}, {3.815390620720229*^9, 
  3.8153906218425207`*^9}, {3.815413732540592*^9, 3.815413748874525*^9}, {
  3.8154139101156816`*^9, 3.815413910402907*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"96556553-88c0-4503-b9ab-f15e6461129e"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`j, $CellContext`i, \
$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {2, 3}, {5, 7}, {5, 6}, {
       5, 8}, {5, 9}, {7, 8}, {7, 10}, {7, 11}, {6, 3}, {6, 9}, {8, 9}, {8, 
       10}, {11, 10}, {11, 12}, {11, 8}, {3, 4}, {3, 9}, {9, 10}, {1, 4}, {7, 
       12}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQBGImKIaBonLvxxsmPbGv2JAaqnH+nX3KJkFOe4kt9ujy
H+zkpyWLvrVv8Ftx/PW5ZxjyB647H1J/vsDeorhk8wLr5RjmoetHlyekX+vX
t/iWC8wOFQrdlj1rd2HIv427aJzi8cv+UtiT+vv8tzHsQzcfXZ6Qfg0FhiXX
/jA57H+5/+Z/m9cY7kHXjy7fyPVK5VYzvwNL/iU2vtv7MeTNTWc3lPzicngf
taDS9cV9DHl0+9HtQ5dHtw/dfHT5AybNBfcCeB3S94X8fRb5AUNeZFb8u87X
gg4OM36zmcU+xpDX2dvMOTNDxAGWLtDtQ3cfujy6/ejy6Pajm4euH52Prh+d
j+5+AHoxc4k=
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.6429066123343843}, 0.04362916503767736], 
         InsetBox["a", 
          Offset[{2, 2}, {0.04362916503767736, 0.6865357773720616}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9627877872385531, 0.07849496814169182}, 
          0.04362916503767736], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0064169522762305, 0.12212413317936918}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.908860963065278, 0.7127589129981544}, 
          0.04362916503767736], 
         InsetBox["j", 
          Offset[{2, 2}, {0.9524901281029553, 0.7563880780358317}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.033013575042715626, 0.04537679854022375}, 
          0.04362916503767736], 
         InsetBox["i", 
          Offset[{2, 2}, {0.07664274008039298, 0.08900596357790111}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4768149850126706, 0.10421062855596286}, 
          0.04362916503767736], 
         InsetBox["c", 
          Offset[{2, 2}, {2.520444150050348, 0.14783979359364022}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.642673685468192, 0.4228438137955496}, 
          0.04362916503767736], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6863028505058695, 0.4664729788332269}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.939380920784345, 0.12443626085808651}, 
          0.04362916503767736], 
         InsetBox["d", 
          Offset[{2, 2}, {3.9830100858220225, 0.16806542589576387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.372292523132866, 0.4985517204053584}, 
          0.04362916503767736], 
         InsetBox["f", 
          Offset[{2, 2}, {3.4159216881705436, 0.5421808854430358}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3734562695062955, 0.8511962178156905}, 
          0.04362916503767736], 
         InsetBox["k", 
          Offset[{2, 2}, {2.417085434543973, 0.8948253828533679}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.66448676968011, 1.021948804449403}, 0.04362916503767736], 
         InsetBox["l", 
          Offset[{2, 2}, {3.7081159347177874, 1.0655779694870804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.480018353066516, 0.6051283012755064}, 
          0.04362916503767736], 
         InsetBox["g", 
          Offset[{2, 2}, {4.523647518104193, 0.6487574663131838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.102146290460308, 0.}, 0.04362916503767736], 
         InsetBox["h", 
          Offset[{2, 2}, {5.145775455497985, 0.04362916503767736}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8153081108548336`*^9, 3.815308168343932*^9}, 
   3.8153081983489227`*^9, 3.815308237598984*^9, 3.81541278309258*^9, 
   3.815413196417592*^9, 3.8154137499781313`*^9, 3.8154139111846*^9, 
   3.815414157767458*^9, 3.815419716851304*^9},
 CellLabel->"Out[89]=",ExpressionUUID->"4dd5d919-6623-40f1-ab14-789589c9d92d"]
}, Open  ]],

Cell["Buscar primero a lo ancho:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.8153368075241904`*^9}, {3.815413688304468*^9, 
  3.8154136893383875`*^9}},ExpressionUUID->"261dc250-9570-4f7c-ad75-\
b16279781719"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8154141340100965`*^9, 3.8154141556324444`*^9}},
 CellLabel->"In[90]:=",ExpressionUUID->"29b820f4-3943-4466-b434-e1dc316f8004"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`j, $CellContext`i, \
$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {2, 3}, {5, 7}, {5, 6}, {
       5, 8}, {5, 9}, {7, 8}, {7, 10}, {7, 11}, {6, 3}, {6, 9}, {8, 9}, {8, 
       10}, {11, 10}, {11, 12}, {11, 8}, {3, 4}, {3, 9}, {9, 10}, {1, 4}, {7, 
       12}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`k], 
         UndirectedEdge[$CellContext`j, $CellContext`k], 
         UndirectedEdge[$CellContext`e, $CellContext`k], 
         UndirectedEdge[$CellContext`k, $CellContext`l], 
         UndirectedEdge[$CellContext`c, $CellContext`k]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{0., 0.6429066123343843}, {0.9627877872385531, 
         0.07849496814169182}}], 
        LineBox[{{0., 0.6429066123343843}, {0.908860963065278, 
         0.7127589129981544}}], 
        LineBox[{{0., 0.6429066123343843}, {0.033013575042715626`, 
         0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.908860963065278, 0.7127589129981544}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         2.4768149850126706`, 0.10421062855596286`}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         1.642673685468192, 0.4228438137955496}}], 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {1.642673685468192, 
         0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         1.642673685468192, 0.4228438137955496}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.939380920784345, 0.12443626085808651`}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.372292523132866, 0.4985517204053584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.642673685468192, 0.4228438137955496}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         3.372292523132866, 0.4985517204053584}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {3.66448676968011,
          1.021948804449403}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         4.480018353066516, 0.6051283012755064}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         5.102146290460308, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.372292523132866, 0.4985517204053584}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {3.66448676968011, 
         1.021948804449403}}], 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.3734562695062955`, 0.8511962178156905}, {
          3.66448676968011, 1.021948804449403}}]}, 
        LineBox[{{3.66448676968011, 1.021948804449403}, {4.480018353066516, 
         0.6051283012755064}}], 
        LineBox[{{4.480018353066516, 0.6051283012755064}, {5.102146290460308, 
         0.}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.6429066123343843}, 0.04362916503767736], 
         InsetBox["a", Offset[{2, 2}, {0.04362916503767736, 0.6865357773720616}]
          , ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9627877872385531, 0.07849496814169182}, 
          0.04362916503767736], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0064169522762305, 0.12212413317936918}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.908860963065278, 0.7127589129981544}, 
          0.04362916503767736], 
         InsetBox["j", 
          Offset[{2, 2}, {0.9524901281029553, 0.7563880780358317}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.033013575042715626, 0.04537679854022375}, 
          0.04362916503767736], 
         InsetBox["i", 
          Offset[{2, 2}, {0.07664274008039298, 0.08900596357790111}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4768149850126706, 0.10421062855596286}, 
          0.04362916503767736], 
         InsetBox["c", 
          Offset[{2, 2}, {2.520444150050348, 0.14783979359364022}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.642673685468192, 0.4228438137955496}, 
          0.04362916503767736], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6863028505058695, 0.4664729788332269}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.939380920784345, 0.12443626085808651}, 
          0.04362916503767736], 
         InsetBox["d", 
          Offset[{2, 2}, {3.9830100858220225, 0.16806542589576387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.372292523132866, 0.4985517204053584}, 
          0.04362916503767736], 
         InsetBox["f", 
          Offset[{2, 2}, {3.4159216881705436, 0.5421808854430358}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3734562695062955, 0.8511962178156905}, 
          0.04362916503767736], 
         InsetBox["k", 
          Offset[{2, 2}, {2.417085434543973, 0.8948253828533679}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.66448676968011, 1.021948804449403}, 0.04362916503767736], 
         InsetBox["l", 
          Offset[{2, 2}, {3.7081159347177874, 1.0655779694870804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.480018353066516, 0.6051283012755064}, 
          0.04362916503767736], 
         InsetBox["g", 
          Offset[{2, 2}, {4.523647518104193, 0.6487574663131838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.102146290460308, 0.}, 0.04362916503767736], 
         InsetBox["h", 
          Offset[{2, 2}, {5.145775455497985, 0.04362916503767736}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.815414160666092*^9, 3.8154197194843426`*^9},
 CellLabel->"Out[90]=",ExpressionUUID->"9e2c58e5-134e-49dd-85e6-629052544f82"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "g"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815414931351453*^9, 3.815414944714183*^9}},
 CellLabel->"In[91]:=",ExpressionUUID->"3ec6a2dd-6ff7-4de5-9320-3c3a135b6656"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`j, $CellContext`i, \
$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {2, 3}, {5, 7}, {5, 6}, {
       5, 8}, {5, 9}, {7, 8}, {7, 10}, {7, 11}, {6, 3}, {6, 9}, {8, 9}, {8, 
       10}, {11, 10}, {11, 12}, {11, 8}, {3, 4}, {3, 9}, {9, 10}, {1, 4}, {7, 
       12}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`l, $CellContext`g], 
         UndirectedEdge[$CellContext`l, $CellContext`d], 
         UndirectedEdge[$CellContext`f, $CellContext`k], 
         UndirectedEdge[$CellContext`j, $CellContext`k], 
         UndirectedEdge[$CellContext`e, $CellContext`k], 
         UndirectedEdge[$CellContext`k, $CellContext`l], 
         UndirectedEdge[$CellContext`c, $CellContext`k]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{0., 0.6429066123343843}, {0.9627877872385531, 
         0.07849496814169182}}], 
        LineBox[{{0., 0.6429066123343843}, {0.908860963065278, 
         0.7127589129981544}}], 
        LineBox[{{0., 0.6429066123343843}, {0.033013575042715626`, 
         0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.908860963065278, 0.7127589129981544}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         2.4768149850126706`, 0.10421062855596286`}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         1.642673685468192, 0.4228438137955496}}], 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {1.642673685468192, 
         0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         1.642673685468192, 0.4228438137955496}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.939380920784345, 0.12443626085808651`}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.372292523132866, 0.4985517204053584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.642673685468192, 0.4228438137955496}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         3.372292523132866, 0.4985517204053584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.939380920784345, 0.12443626085808651`}, {
          3.66448676968011, 1.021948804449403}}]}, 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         4.480018353066516, 0.6051283012755064}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         5.102146290460308, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.372292523132866, 0.4985517204053584}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {3.66448676968011, 
         1.021948804449403}}], 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.3734562695062955`, 0.8511962178156905}, {
          3.66448676968011, 1.021948804449403}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.66448676968011, 1.021948804449403}, {4.480018353066516, 
          0.6051283012755064}}]}, 
        LineBox[{{4.480018353066516, 0.6051283012755064}, {5.102146290460308, 
         0.}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.6429066123343843}, 0.04362916503767736], 
         InsetBox["a", 
          Offset[{2, 2}, {0.04362916503767736, 0.6865357773720616}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9627877872385531, 0.07849496814169182}, 
          0.04362916503767736], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0064169522762305, 0.12212413317936918}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.908860963065278, 0.7127589129981544}, 
          0.04362916503767736], 
         InsetBox["j", 
          Offset[{2, 2}, {0.9524901281029553, 0.7563880780358317}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.033013575042715626, 0.04537679854022375}, 
          0.04362916503767736], 
         InsetBox["i", 
          Offset[{2, 2}, {0.07664274008039298, 0.08900596357790111}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4768149850126706, 0.10421062855596286}, 
          0.04362916503767736], 
         InsetBox["c", 
          Offset[{2, 2}, {2.520444150050348, 0.14783979359364022}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.642673685468192, 0.4228438137955496}, 
          0.04362916503767736], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6863028505058695, 0.4664729788332269}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.939380920784345, 0.12443626085808651}, 
          0.04362916503767736], 
         InsetBox["d", 
          Offset[{2, 2}, {3.9830100858220225, 0.16806542589576387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.372292523132866, 0.4985517204053584}, 
          0.04362916503767736], 
         InsetBox["f", 
          Offset[{2, 2}, {3.4159216881705436, 0.5421808854430358}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3734562695062955, 0.8511962178156905}, 
          0.04362916503767736], 
         InsetBox["k", 
          Offset[{2, 2}, {2.417085434543973, 0.8948253828533679}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.66448676968011, 1.021948804449403}, 0.04362916503767736], 
         InsetBox["l", 
          Offset[{2, 2}, {3.7081159347177874, 1.0655779694870804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.480018353066516, 0.6051283012755064}, 
          0.04362916503767736], 
         InsetBox["g", 
          Offset[{2, 2}, {4.523647518104193, 0.6487574663131838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.102146290460308, 0.}, 0.04362916503767736], 
         InsetBox["h", 
          Offset[{2, 2}, {5.145775455497985, 0.04362916503767736}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.815414947260336*^9, 3.815419722533349*^9},
 CellLabel->"Out[91]=",ExpressionUUID->"d58d7a48-31f0-4a67-97f0-32b27b743567"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "b"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8154154077722225`*^9, 3.8154154244418845`*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"6ec695d6-da96-4e92-855c-b86c253676d8"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`j, $CellContext`i, \
$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {2, 3}, {5, 7}, {5, 6}, {
       5, 8}, {5, 9}, {7, 8}, {7, 10}, {7, 11}, {6, 3}, {6, 9}, {8, 9}, {8, 
       10}, {11, 10}, {11, 12}, {11, 8}, {3, 4}, {3, 9}, {9, 10}, {1, 4}, {7, 
       12}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`j, $CellContext`i], 
         UndirectedEdge[$CellContext`l, $CellContext`g], 
         UndirectedEdge[$CellContext`l, $CellContext`d], 
         UndirectedEdge[$CellContext`j, $CellContext`a], 
         UndirectedEdge[$CellContext`f, $CellContext`k], 
         UndirectedEdge[$CellContext`j, $CellContext`b], 
         UndirectedEdge[$CellContext`j, $CellContext`k], 
         UndirectedEdge[$CellContext`e, $CellContext`k], 
         UndirectedEdge[$CellContext`k, $CellContext`l], 
         UndirectedEdge[$CellContext`c, $CellContext`k]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{0., 0.6429066123343843}, {0.9627877872385531, 
         0.07849496814169182}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.6429066123343843}, {0.908860963065278, 
          0.7127589129981544}}]}, 
        LineBox[{{0., 0.6429066123343843}, {0.033013575042715626`, 
         0.04537679854022375}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9627877872385531, 0.07849496814169182}, {
          0.908860963065278, 0.7127589129981544}}]}, 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         2.4768149850126706`, 0.10421062855596286`}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         1.642673685468192, 0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {
          0.033013575042715626`, 0.04537679854022375}}]}, 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {1.642673685468192, 
         0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         1.642673685468192, 0.4228438137955496}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.939380920784345, 0.12443626085808651`}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.372292523132866, 0.4985517204053584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.642673685468192, 0.4228438137955496}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         3.372292523132866, 0.4985517204053584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.939380920784345, 0.12443626085808651`}, {
          3.66448676968011, 1.021948804449403}}]}, 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         4.480018353066516, 0.6051283012755064}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         5.102146290460308, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.372292523132866, 0.4985517204053584}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {3.66448676968011, 
         1.021948804449403}}], 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.3734562695062955`, 0.8511962178156905}, {
          3.66448676968011, 1.021948804449403}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.66448676968011, 1.021948804449403}, {4.480018353066516, 
          0.6051283012755064}}]}, 
        LineBox[{{4.480018353066516, 0.6051283012755064}, {5.102146290460308, 
         0.}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.6429066123343843}, 0.04362916503767736], 
         InsetBox["a", 
          Offset[{2, 2}, {0.04362916503767736, 0.6865357773720616}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9627877872385531, 0.07849496814169182}, 
          0.04362916503767736], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0064169522762305, 0.12212413317936918}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.908860963065278, 0.7127589129981544}, 
          0.04362916503767736], 
         InsetBox["j", 
          Offset[{2, 2}, {0.9524901281029553, 0.7563880780358317}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.033013575042715626, 0.04537679854022375}, 
          0.04362916503767736], 
         InsetBox["i", 
          Offset[{2, 2}, {0.07664274008039298, 0.08900596357790111}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4768149850126706, 0.10421062855596286}, 
          0.04362916503767736], 
         InsetBox["c", 
          Offset[{2, 2}, {2.520444150050348, 0.14783979359364022}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.642673685468192, 0.4228438137955496}, 
          0.04362916503767736], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6863028505058695, 0.4664729788332269}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.939380920784345, 0.12443626085808651}, 
          0.04362916503767736], 
         InsetBox["d", 
          Offset[{2, 2}, {3.9830100858220225, 0.16806542589576387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.372292523132866, 0.4985517204053584}, 
          0.04362916503767736], 
         InsetBox["f", 
          Offset[{2, 2}, {3.4159216881705436, 0.5421808854430358}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3734562695062955, 0.8511962178156905}, 
          0.04362916503767736], 
         InsetBox["k", 
          Offset[{2, 2}, {2.417085434543973, 0.8948253828533679}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.66448676968011, 1.021948804449403}, 0.04362916503767736], 
         InsetBox["l", 
          Offset[{2, 2}, {3.7081159347177874, 1.0655779694870804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.480018353066516, 0.6051283012755064}, 
          0.04362916503767736], 
         InsetBox["g", 
          Offset[{2, 2}, {4.523647518104193, 0.6487574663131838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.102146290460308, 0.}, 0.04362916503767736], 
         InsetBox["h", 
          Offset[{2, 2}, {5.145775455497985, 0.04362916503767736}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8154154264549665`*^9, 3.8154197256509132`*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"d7c9812c-9778-402e-a252-ba6c804da936"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "h"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815416041234679*^9, 3.8154160500794096`*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"cec0e681-9c2b-4746-8f55-06a260aed9fd"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`j, $CellContext`i, \
$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {2, 3}, {5, 7}, {5, 6}, {
       5, 8}, {5, 9}, {7, 8}, {7, 10}, {7, 11}, {6, 3}, {6, 9}, {8, 9}, {8, 
       10}, {11, 10}, {11, 12}, {11, 8}, {3, 4}, {3, 9}, {9, 10}, {1, 4}, {7, 
       12}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`j, $CellContext`i], 
         UndirectedEdge[$CellContext`l, $CellContext`g], 
         UndirectedEdge[$CellContext`l, $CellContext`d], 
         UndirectedEdge[$CellContext`j, $CellContext`a], 
         UndirectedEdge[$CellContext`f, $CellContext`k], 
         UndirectedEdge[$CellContext`j, $CellContext`b], 
         UndirectedEdge[$CellContext`j, $CellContext`k], 
         UndirectedEdge[$CellContext`d, $CellContext`h], 
         UndirectedEdge[$CellContext`e, $CellContext`k], 
         UndirectedEdge[$CellContext`k, $CellContext`l], 
         UndirectedEdge[$CellContext`c, $CellContext`k]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{0., 0.6429066123343843}, {0.9627877872385531, 
         0.07849496814169182}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.6429066123343843}, {0.908860963065278, 
          0.7127589129981544}}]}, 
        LineBox[{{0., 0.6429066123343843}, {0.033013575042715626`, 
         0.04537679854022375}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9627877872385531, 0.07849496814169182}, {
          0.908860963065278, 0.7127589129981544}}]}, 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         2.4768149850126706`, 0.10421062855596286`}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         1.642673685468192, 0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {
          0.033013575042715626`, 0.04537679854022375}}]}, 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {1.642673685468192, 
         0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         1.642673685468192, 0.4228438137955496}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.939380920784345, 0.12443626085808651`}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         3.372292523132866, 0.4985517204053584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.642673685468192, 0.4228438137955496}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         3.372292523132866, 0.4985517204053584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.939380920784345, 0.12443626085808651`}, {
          3.66448676968011, 1.021948804449403}}]}, 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         4.480018353066516, 0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.939380920784345, 0.12443626085808651`}, {
          5.102146290460308, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.372292523132866, 0.4985517204053584}, {
          2.3734562695062955`, 0.8511962178156905}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {3.66448676968011, 
         1.021948804449403}}], 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.3734562695062955`, 0.8511962178156905}, {
          3.66448676968011, 1.021948804449403}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.66448676968011, 1.021948804449403}, {4.480018353066516, 
          0.6051283012755064}}]}, 
        LineBox[{{4.480018353066516, 0.6051283012755064}, {5.102146290460308, 
         0.}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.6429066123343843}, 0.04362916503767736], 
         InsetBox["a", 
          Offset[{2, 2}, {0.04362916503767736, 0.6865357773720616}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9627877872385531, 0.07849496814169182}, 
          0.04362916503767736], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0064169522762305, 0.12212413317936918}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.908860963065278, 0.7127589129981544}, 
          0.04362916503767736], 
         InsetBox["j", 
          Offset[{2, 2}, {0.9524901281029553, 0.7563880780358317}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.033013575042715626, 0.04537679854022375}, 
          0.04362916503767736], 
         InsetBox["i", 
          Offset[{2, 2}, {0.07664274008039298, 0.08900596357790111}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4768149850126706, 0.10421062855596286}, 
          0.04362916503767736], 
         InsetBox["c", 
          Offset[{2, 2}, {2.520444150050348, 0.14783979359364022}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.642673685468192, 0.4228438137955496}, 
          0.04362916503767736], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6863028505058695, 0.4664729788332269}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.939380920784345, 0.12443626085808651}, 
          0.04362916503767736], 
         InsetBox["d", 
          Offset[{2, 2}, {3.9830100858220225, 0.16806542589576387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.372292523132866, 0.4985517204053584}, 
          0.04362916503767736], 
         InsetBox["f", 
          Offset[{2, 2}, {3.4159216881705436, 0.5421808854430358}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3734562695062955, 0.8511962178156905}, 
          0.04362916503767736], 
         InsetBox["k", 
          Offset[{2, 2}, {2.417085434543973, 0.8948253828533679}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.66448676968011, 1.021948804449403}, 0.04362916503767736], 
         InsetBox["l", 
          Offset[{2, 2}, {3.7081159347177874, 1.0655779694870804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.480018353066516, 0.6051283012755064}, 
          0.04362916503767736], 
         InsetBox["g", 
          Offset[{2, 2}, {4.523647518104193, 0.6487574663131838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.102146290460308, 0.}, 0.04362916503767736], 
         InsetBox["h", 
          Offset[{2, 2}, {5.145775455497985, 0.04362916503767736}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8154160525013056`*^9, 3.8154197284343853`*^9},
 CellLabel->"Out[93]=",ExpressionUUID->"32ee3ab9-e582-4e2f-ad38-0e8ca0f80ace"]
}, Open  ]],

Cell["Buscar primero a lo largo o a profundidad:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
   3.8153368030168133`*^9, 3.815336823573577*^9}, 
   3.815413691094031*^9},ExpressionUUID->"77a0f248-d592-4316-9354-\
5ccc630cb5b1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "g"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815416395585574*^9, 3.815416407355568*^9}, {
  3.8154165384194183`*^9, 3.8154165411581736`*^9}, {3.8154169185624113`*^9, 
  3.815416921100004*^9}, {3.815417247099249*^9, 3.8154172600013313`*^9}, {
  3.8154175802244368`*^9, 3.8154175867008944`*^9}, {3.815417739307102*^9, 
  3.815417746677993*^9}},
 CellLabel->"In[94]:=",ExpressionUUID->"d282748e-b24c-4acc-9bb5-c81a578068a2"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`j, $CellContext`i, \
$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {2, 3}, {5, 7}, {5, 6}, {
       5, 8}, {5, 9}, {7, 8}, {7, 10}, {7, 11}, {6, 3}, {6, 9}, {8, 9}, {8, 
       10}, {11, 10}, {11, 12}, {11, 8}, {3, 4}, {3, 9}, {9, 10}, {1, 4}, {7, 
       12}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`l, $CellContext`f], 
         UndirectedEdge[$CellContext`d, $CellContext`h], 
         UndirectedEdge[$CellContext`k, $CellContext`l], 
         UndirectedEdge[$CellContext`f, $CellContext`c], 
         UndirectedEdge[$CellContext`h, $CellContext`g]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{0., 0.6429066123343843}, {0.9627877872385531, 
         0.07849496814169182}}], 
        LineBox[{{0., 0.6429066123343843}, {0.908860963065278, 
         0.7127589129981544}}], 
        LineBox[{{0., 0.6429066123343843}, {0.033013575042715626`, 
         0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.908860963065278, 0.7127589129981544}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         2.4768149850126706`, 0.10421062855596286`}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         1.642673685468192, 0.4228438137955496}}], 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {
         0.033013575042715626`, 0.04537679854022375}}], 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {1.642673685468192, 
         0.4228438137955496}}], 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         1.642673685468192, 0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          3.939380920784345, 0.12443626085808651`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          3.372292523132866, 0.4985517204053584}}]}, 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        LineBox[{{1.642673685468192, 0.4228438137955496}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         3.372292523132866, 0.4985517204053584}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {3.66448676968011,
          1.021948804449403}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         4.480018353066516, 0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.939380920784345, 0.12443626085808651`}, {
          5.102146290460308, 0.}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.372292523132866, 0.4985517204053584}, {3.66448676968011, 
          1.021948804449403}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.3734562695062955`, 0.8511962178156905}, {
          3.66448676968011, 1.021948804449403}}]}, 
        LineBox[{{3.66448676968011, 1.021948804449403}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{4.480018353066516, 0.6051283012755064}, {5.102146290460308,
           0.}}]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.6429066123343843}, 0.04362916503767736], 
         InsetBox["a", 
          Offset[{2, 2}, {0.04362916503767736, 0.6865357773720616}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9627877872385531, 0.07849496814169182}, 
          0.04362916503767736], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0064169522762305, 0.12212413317936918}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.908860963065278, 0.7127589129981544}, 
          0.04362916503767736], 
         InsetBox["j", 
          Offset[{2, 2}, {0.9524901281029553, 0.7563880780358317}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.033013575042715626, 0.04537679854022375}, 
          0.04362916503767736], 
         InsetBox["i", 
          Offset[{2, 2}, {0.07664274008039298, 0.08900596357790111}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4768149850126706, 0.10421062855596286}, 
          0.04362916503767736], 
         InsetBox["c", 
          Offset[{2, 2}, {2.520444150050348, 0.14783979359364022}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.642673685468192, 0.4228438137955496}, 
          0.04362916503767736], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6863028505058695, 0.4664729788332269}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.939380920784345, 0.12443626085808651}, 
          0.04362916503767736], 
         InsetBox["d", 
          Offset[{2, 2}, {3.9830100858220225, 0.16806542589576387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.372292523132866, 0.4985517204053584}, 
          0.04362916503767736], 
         InsetBox["f", 
          Offset[{2, 2}, {3.4159216881705436, 0.5421808854430358}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3734562695062955, 0.8511962178156905}, 
          0.04362916503767736], 
         InsetBox["k", 
          Offset[{2, 2}, {2.417085434543973, 0.8948253828533679}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.66448676968011, 1.021948804449403}, 0.04362916503767736], 
         InsetBox["l", 
          Offset[{2, 2}, {3.7081159347177874, 1.0655779694870804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.480018353066516, 0.6051283012755064}, 
          0.04362916503767736], 
         InsetBox["g", 
          Offset[{2, 2}, {4.523647518104193, 0.6487574663131838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.102146290460308, 0.}, 0.04362916503767736], 
         InsetBox["h", 
          Offset[{2, 2}, {5.145775455497985, 0.04362916503767736}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.815416599050954*^9, 3.8154169237562265`*^9, 
  3.8154172610676165`*^9, 3.815417588167728*^9, 3.815417747535885*^9, 
  3.815417975417666*^9, 3.815419731134675*^9},
 CellLabel->"Out[94]=",ExpressionUUID->"103e3c1e-e053-4900-b0d7-9900d1e1bdd2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "e"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815418547899314*^9, 3.8154185575007443`*^9}, {
  3.8154188016304865`*^9, 3.8154188041290812`*^9}, {3.815419020434587*^9, 
  3.8154190245177445`*^9}, {3.815419418809821*^9, 3.815419424167828*^9}, {
  3.8154196322879868`*^9, 3.8154196346512094`*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"368f69c1-70a7-42e9-abb4-9d46a4c0136a"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`j, $CellContext`i, \
$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`k, $CellContext`l, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {2, 3}, {5, 7}, {5, 6}, {
       5, 8}, {5, 9}, {7, 8}, {7, 10}, {7, 11}, {6, 3}, {6, 9}, {8, 9}, {8, 
       10}, {11, 10}, {11, 12}, {11, 8}, {3, 4}, {3, 9}, {9, 10}, {1, 4}, {7, 
       12}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`l, $CellContext`f], 
         UndirectedEdge[$CellContext`i, $CellContext`j], 
         UndirectedEdge[$CellContext`b, $CellContext`i], 
         UndirectedEdge[$CellContext`j, $CellContext`a], 
         UndirectedEdge[$CellContext`d, $CellContext`h], 
         UndirectedEdge[$CellContext`j, $CellContext`e], 
         UndirectedEdge[$CellContext`k, $CellContext`l], 
         UndirectedEdge[$CellContext`f, $CellContext`c], 
         UndirectedEdge[$CellContext`h, $CellContext`g], 
         UndirectedEdge[$CellContext`c, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{0., 0.6429066123343843}, {0.9627877872385531, 
         0.07849496814169182}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.6429066123343843}, {0.908860963065278, 
          0.7127589129981544}}]}, 
        LineBox[{{0., 0.6429066123343843}, {0.033013575042715626`, 
         0.04537679854022375}}], 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         0.908860963065278, 0.7127589129981544}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9627877872385531, 0.07849496814169182}, {
          0.033013575042715626`, 0.04537679854022375}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9627877872385531, 0.07849496814169182}, {
          2.4768149850126706`, 0.10421062855596286`}}]}, 
        LineBox[{{0.9627877872385531, 0.07849496814169182}, {
         1.642673685468192, 0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {
          0.033013575042715626`, 0.04537679854022375}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.908860963065278, 0.7127589129981544}, {1.642673685468192,
           0.4228438137955496}}]}, 
        LineBox[{{0.908860963065278, 0.7127589129981544}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         1.642673685468192, 0.4228438137955496}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          3.939380920784345, 0.12443626085808651`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
          3.372292523132866, 0.4985517204053584}}]}, 
        LineBox[{{2.4768149850126706`, 0.10421062855596286`}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        LineBox[{{1.642673685468192, 0.4228438137955496}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         3.372292523132866, 0.4985517204053584}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {3.66448676968011,
          1.021948804449403}}], 
        LineBox[{{3.939380920784345, 0.12443626085808651`}, {
         4.480018353066516, 0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.939380920784345, 0.12443626085808651`}, {
          5.102146290460308, 0.}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {
         2.3734562695062955`, 0.8511962178156905}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{3.372292523132866, 0.4985517204053584}, {3.66448676968011, 
          1.021948804449403}}]}, 
        LineBox[{{3.372292523132866, 0.4985517204053584}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.3734562695062955`, 0.8511962178156905}, {
          3.66448676968011, 1.021948804449403}}]}, 
        LineBox[{{3.66448676968011, 1.021948804449403}, {4.480018353066516, 
         0.6051283012755064}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{4.480018353066516, 0.6051283012755064}, {5.102146290460308,
           0.}}]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.6429066123343843}, 0.04362916503767736], 
         InsetBox["a", 
          Offset[{2, 2}, {0.04362916503767736, 0.6865357773720616}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9627877872385531, 0.07849496814169182}, 
          0.04362916503767736], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0064169522762305, 0.12212413317936918}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.908860963065278, 0.7127589129981544}, 
          0.04362916503767736], 
         InsetBox["j", 
          Offset[{2, 2}, {0.9524901281029553, 0.7563880780358317}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.033013575042715626, 0.04537679854022375}, 
          0.04362916503767736], 
         InsetBox["i", 
          Offset[{2, 2}, {0.07664274008039298, 0.08900596357790111}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4768149850126706, 0.10421062855596286}, 
          0.04362916503767736], 
         InsetBox["c", 
          Offset[{2, 2}, {2.520444150050348, 0.14783979359364022}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.642673685468192, 0.4228438137955496}, 
          0.04362916503767736], 
         InsetBox["e", 
          Offset[{2, 2}, {1.6863028505058695, 0.4664729788332269}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.939380920784345, 0.12443626085808651}, 
          0.04362916503767736], 
         InsetBox["d", 
          Offset[{2, 2}, {3.9830100858220225, 0.16806542589576387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.372292523132866, 0.4985517204053584}, 
          0.04362916503767736], 
         InsetBox["f", 
          Offset[{2, 2}, {3.4159216881705436, 0.5421808854430358}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3734562695062955, 0.8511962178156905}, 
          0.04362916503767736], 
         InsetBox["k", 
          Offset[{2, 2}, {2.417085434543973, 0.8948253828533679}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.66448676968011, 1.021948804449403}, 0.04362916503767736], 
         InsetBox["l", 
          Offset[{2, 2}, {3.7081159347177874, 1.0655779694870804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.480018353066516, 0.6051283012755064}, 
          0.04362916503767736], 
         InsetBox["g", 
          Offset[{2, 2}, {4.523647518104193, 0.6487574663131838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.102146290460308, 0.}, 0.04362916503767736], 
         InsetBox["h", 
          Offset[{2, 2}, {5.145775455497985, 0.04362916503767736}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8154185754001007`*^9, 3.8154188055511613`*^9, 
  3.815419025667963*^9, 3.8154194274654007`*^9, 3.815419636484294*^9, 
  3.815419734634596*^9},
 CellLabel->"Out[95]=",ExpressionUUID->"dd2b822b-5d78-452d-973f-4341ba5bd6d2"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{Automatic, 954.5}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"696ba7c3-fd5f-4f10-9dc0-fea71da7ca72"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],
Cell[CellGroupData[{
Cell[783, 27, 2037, 59, 351, "Input",ExpressionUUID->"96556553-88c0-4503-b9ab-f15e6461129e"],
Cell[2823, 88, 4774, 102, 265, "Output",ExpressionUUID->"4dd5d919-6623-40f1-ab14-789589c9d92d"]
}, Open  ]],
Cell[7612, 193, 271, 4, 77, "Text",ExpressionUUID->"261dc250-9570-4f7c-ad75-b16279781719"],
Cell[CellGroupData[{
Cell[7908, 201, 585, 16, 135, "Input",ExpressionUUID->"29b820f4-3943-4466-b434-e1dc316f8004"],
Cell[8496, 219, 7587, 152, 265, "Output",ExpressionUUID->"9e2c58e5-134e-49dd-85e6-629052544f82"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16120, 376, 707, 20, 179, "Input",ExpressionUUID->"3ec6a2dd-6ff7-4de5-9320-3c3a135b6656"],
Cell[16830, 398, 7830, 157, 265, "Output",ExpressionUUID->"d58d7a48-31f0-4a67-97f0-32b27b743567"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24697, 560, 900, 26, 179, "Input",ExpressionUUID->"6ec695d6-da96-4e92-855c-b86c253676d8"],
Cell[25600, 588, 8185, 163, 265, "Output",ExpressionUUID->"d7c9812c-9778-402e-a252-ba6c804da936"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33822, 756, 961, 28, 222, "Input",ExpressionUUID->"cec0e681-9c2b-4746-8f55-06a260aed9fd"],
Cell[34786, 786, 8302, 165, 265, "Output",ExpressionUUID->"32ee3ab9-e582-4e2f-ad38-0e8ca0f80ace"]
}, Open  ]],
Cell[43103, 954, 261, 4, 77, "Text",ExpressionUUID->"77a0f248-d592-4316-9354-5ccc630cb5b1"],
Cell[CellGroupData[{
Cell[43389, 962, 898, 22, 179, "Input",ExpressionUUID->"d282748e-b24c-4acc-9bb5-c81a578068a2"],
Cell[44290, 986, 7833, 157, 265, "Output",ExpressionUUID->"103e3c1e-e053-4900-b0d7-9900d1e1bdd2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52160, 1148, 1164, 31, 222, "Input",ExpressionUUID->"368f69c1-70a7-42e9-abb4-9d46a4c0136a"],
Cell[53327, 1181, 8398, 167, 272, "Output",ExpressionUUID->"dd2b822b-5d78-452d-973f-4341ba5bd6d2"]
}, Open  ]]
}
]
*)

